### Method

# Soup WebsocketConnection send_binary

#### Declaration [src]

    void
    soup_websocket_connection_send_binary (
      SoupWebsocketConnection* self,
      gconstpointer data,
      gsize length
    )

#### Description [src]

Send a binary message to the peer.

If `length` is 0, `data` may be `NULL`.

The message is queued to be sent and will be sent when the main loop is run.

#### Parameters

`data`

  Type: An array of `guint8`

  The message contents.

  The argument can be `NULL`.
  The length of the array is specified in the `length` argument.

`length`

  Type: `gsize`

  The length of `data`.